## dde-services 1.0.6

=== debian/changelog ===
dde-services (1.0.6) unstable; urgency=medium

  * fix: Unable to rotate newly added images
  * fix: m_curMonitorSpace should be initialized in advance
  * fix: 修复系统预装QT应用问题

 -- zhangkun <zhangkun2@uniontech.com>  Wed, 12 Mar 2025 13:38:55 +0800

dde-services (1.0.5) unstable; urgency=medium

  * chore: adapt to Qt6.8

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 06 Mar 2025 19:41:54 +0800

dde-services (1.0.4) unstable; urgency=medium

  * chore: update custom solidwallpapers path
  * chore: adapt wallpaper slideshow

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 21 Feb 2025 16:01:54 +0800

dde-services (1.0.3) unstable; urgency=medium

  * feat: 新增thememanager的qt服务

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 13 Feb 2025 19:44:47 +0800

dde-services (1.0.2) unstable; urgency=medium

  * feat: 项目调整，名称变更，删除oom模块

 -- fuleyi <fuleyi@uniontech.com>  Tue, 11 Feb 2025 10:48:32 +0800

deepin-service-plugins (1.0.1) unstable; urgency=medium

  * chore: fix license check

 -- fuleyi <fuleyi@uniontech.com>  Thu, 24 Oct 2024 13:20:15 +0800

deepin-service-plugins (1.0.0) unstable; urgency=medium

  * Initial release. 

 -- fuleyi <fuleyi@uniontech.com>  Mon, 14 Oct 2024 13:48:23 +0800
