## dde-services 1.0.7

=== src/plugin-qt/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_subdirectory("thememanager")
add_subdirectory("wallpaperslideshow")
