=== debian/changelog ===
dde-services (1.0.7) unstable; urgency=medium

  * refactor: optimize build system security flags

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:52:04 +0800
