## dde-services 1.0.8

=== debian/changelog ===
dde-services (1.0.8) unstable; urgency=medium

  * fix: add time-based sorting for wallpaper files

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:43:28 +0800
