## dde-services 1.0.10

=== debian/changelog ===
dde-services (1.0.10) unstable; urgency=medium

  * refactor: replace session ID with D-Bus session path for login
    detection

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 10 Oct 2025 17:30:55 +0800

dde-services (1.0.9) unstable; urgency=high

  * Chore: add oom-adjust-score plugin

 -- zyz <zhaoyingzhen@uniontech.com>  Thu, 21 Aug 2025 21:52:48 +0800
