=== src/plugin-qt/CMakeLists.txt ===
--- 
+++ 
@@ -2,5 +2,6 @@
 #
 # SPDX-License-Identifier: LGPL-3.0-or-later
 
+add_subdirectory("OOMScoreAdjust")
 add_subdirectory("thememanager")
 add_subdirectory("wallpaperslideshow")
