=== src/demo/plugin-qt/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
add_subdirectory("demo1")
add_subdirectory("demo2")
