=== debian/control ===
Source: dde-services
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:  debhelper (>= 11),
 pkg-config,
 cmake,
 qt6-base-dev,
 libsystemd-dev,
 libpcap-dev,
 libnet-dev,
 libglib2.0-dev,
 libdtk6gui-dev,
 libdtk6core-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin

Package: dde-services
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 deepin-service-manager (>= 1.0.5)
Description: deepin desktop-environment plugins service
